<?php

namespace App\Http\Controllers\Gallery;

use App\Album;
use App\Facade\Theme;
use App\Facade\UserConfig;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class DefaultController extends Controller
{
    public function index(Request $request)
    {
        $albums = Album::orderBy('name')
            ->withCount('photos')
            ->paginate(UserConfig::get('items_per_page'));

        return Theme::render('gallery.index', [
            'albums' => $albums,
            'info' => $request->session()->get('info')
        ]);
    }
}